Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78199 - GMX2000 XF86config is wrong
Summary: GMX2000 XF86config is wrong
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-19 23:39 UTC by Alan Cox
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-06 17:50:45 UTC


Attachments (Terms of Use)

Description Alan Cox 2002-11-19 23:39:04 UTC
Description of Problem:

Anaconda still misdetects and misconfigures the 3DLabs GMX2000 card. The
installer needs to check the AGP chips more carefully on a 3DLabs setup and look
for a Glint Gamma even if it finds a permedia

Comment 1 Michael Fulbright 2002-11-20 15:09:15 UTC

Kudzu does hw probing.



Comment 2 Bill Nottingham 2002-11-20 17:30:06 UTC
I'm not completely sure what you're saying - you use a different driver for the
GMX2000 depending on whether it's an AGP card or not?

Comment 3 Alan Cox 2002-11-20 17:55:26 UTC
Glint gamma and other GMX based boards look like

01:05.0 Co-processor: 3DLabs GLINT Gamma G1 (rev 01)
01:05.1 Display controller: 3DLabs GLINT MX (rev 01)
01:05.2 Display controller: 3DLabs GLINT MX (rev 01)
01:05.3 VGA compatible controller: 3DLabs Permedia II 2D+3D (rev 01)

(one or two MX and maybe a Delta rather than a gamma)

kudzu sees the VGA controller but thats a 1Mb chip solely used for compatibility
modes, DOS games etc. So kudzu needs to take a look for a 3dlabs gamma or delta
and if so the gamma/delta is the video card that matters



Comment 4 Alan Cox 2006-06-06 17:50:45 UTC
Historical interest only



Note You need to log in before you can comment on or make changes to this bug.